#!/bin/sh
#set -x
cd /tmp
rm -rf /tmp/logs > /dev/null 2>&1
mkdir /tmp/logs
dmesg > /tmp/logs/dmesg.out 2>&1
cp /install.log /tmp/logs/
cp /_config/update/update.log /tmp/logs/
cp /etc/conf.d/vdr /tmp/logs/
cp /etc/vdr/plugins/admin/admin.conf /tmp/logs/
cp -r /log/freevo /tmp/logs/
cp /log/X* /tmp/logs/

for i in /var/log/everything/* ; do cp $i /tmp/logs/$(echo $i|sed -e "s/.*\///"| tr -d ":")  ; done

tar -czvf g2v_log.tgz logs
TARGET=$( mount | grep -m 1 " /media/" | cut -f 3 -d " ")
if [ "$TARGET" != "" ] && [ -d $TARGET ] ; then
   cp -f /tmp/g2v_log.tgz $TARGET/
   svdrpsend.pl MESG "/tmp/g2v_log.tgz wurde nach $TARGET kopiert"
else   
   svdrpsend.pl MESG "/tmp/g2v_log.tgz wurde erstellt"
fi   
